> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Trading Fee

> Get Trading Fee.

Get Trading Fee through the DexBuilder PerpDEX REST API.


## OpenAPI

````yaml openapi/perpdex-en.yaml GET /dex_futures/{settle}/fee
openapi: 3.0.3
info:
  title: DexBuilder PerpDEX API
  version: 1.0.0
  description: DexBuilder PerpDEX REST API。
servers:
  - url: https://api.dexbuilder.com/api/v1
    description: DexBuilder PerpDEX REST API
security:
  - DexBuilderKey: []
    DexBuilderTimestamp: []
    DexBuilderSignature: []
tags:
  - name: 行情
    description: 永續合約公開行情與市場資料
  - name: 風險資料
    description: 風險限額與市場強平資料
  - name: 帳戶
    description: 帳戶與費率
  - name: 持倉
    description: 持倉查詢與管理
  - name: 訂單
    description: 訂單、成交與批量交易
paths:
  /dex_futures/{settle}/fee:
    get:
      tags:
        - 帳戶
      summary: 查詢永續合約交易費率
      description: 查詢永續合約市場 Taker / Maker 交易費率。
      operationId: getPerpFee
      parameters:
        - $ref: '#/components/parameters/Settle'
        - $ref: '#/components/parameters/ContractQuery'
      responses:
        '200':
          description: 查詢成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeeMap'
components:
  parameters:
    Settle:
      name: settle
      in: path
      required: true
      description: 結算幣種
      schema:
        type: string
        enum:
          - usdt
      example: usdt
    ContractQuery:
      name: contract
      in: query
      required: false
      description: 永續合約，不傳則回傳全部
      schema:
        type: string
  schemas:
    FeeMap:
      type: object
      additionalProperties:
        $ref: '#/components/schemas/FeeItem'
    FeeItem:
      type: object
      properties:
        taker_fee:
          type: string
          description: Taker 費率
        maker_fee:
          type: string
          description: Maker 費率
  securitySchemes:
    DexBuilderKey:
      type: apiKey
      in: header
      name: KEY
      description: DexBuilder API Key
    DexBuilderTimestamp:
      type: apiKey
      in: header
      name: Timestamp
      description: Unix 時間戳（秒），與目前時間差不得超過 60 秒
    DexBuilderSignature:
      type: apiKey
      in: header
      name: SIGN
      description: 使用 API Secret 對簽名字串執行 HMAC-SHA512 後的十六進制簽名

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.